package votacao;

public class Main extends Object {
    
    public Votacao v;
    public JPerspectivaGraficaVotacao observer1;
    public JPerspectivaTextualVotacao observer2;
    
    /** Creates a new instance of Main */
    public Main() {
   }
    
    /**
     * @param args the command line arguments
     */

   public static void main(String[] args) {
        Votacao v = new Votacao();
        
        JPerspectivaGraficaVotacao observer1 = new JPerspectivaGraficaVotacao(v);
        observer1.setVisible(true);
                
        JPerspectivaTextualVotacao observer2 = new JPerspectivaTextualVotacao(v);
        observer2.setVisible(true);
        
        v.addObserver(observer1);
        v.addObserver(observer2);
   }
}
